#
# Conditional build:
%bcond_with	tests		# build and run tests
#
%define		srcname	avalon-framework
%include	/usr/lib/rpm/macros.java
Summary:	The Avalon Framework
Summary(pl.UTF-8):	Szkielet Avalon
Name:		java-avalon-framework
Version:	4.3
Release:	2
License:	Apache v2.0
Group:		Libraries/Java
Source0:	http://www.apache.org/dist/excalibur/avalon-framework/source/%{srcname}-api-%{version}-src.tar.gz
# Source0-md5:	d4cffb4ba1d07bdc517ac6e322636495
Source1:	http://www.apache.org/dist/excalibur/avalon-framework/source/%{srcname}-impl-%{version}-src.tar.gz
# Source1-md5:	62499f9b32ac4d722a46a4f2cfbbf0d8
Patch0:		%{name}-tests.patch
URL:		http://excalibur.apache.org/framework/
BuildRequires:	ant >= 1.5
%{?with_tests:BuildRequires:	ant-junit}
BuildRequires:	ant-nodeps
BuildRequires:	java-avalon-logkit
BuildRequires:	java-commons-logging
%{?with_tests:BuildRequires:	java-junit}
BuildRequires:	java-log4j
BuildRequires:	jdk
BuildRequires:	jpackage-utils
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.553
BuildRequires:	sed >= 4.0
BuildConflicts:	java-gcj-compat-devel
Requires:	jpackage-utils
Obsoletes:	avalon-framework
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Avalon Framework consists of interfaces that define relationships
between commonly used application components, best-of-practice pattern
enforcements, and several lightweight convenience implementations of
the generic components.

%description -l pl.UTF-8
Avalon Framework składa się z interfejsów definiujących powiązania
między powszechnie używanymi komponentami aplikacji, najlepszymi
narzucanymi wzorami i kilkoma lekkimi wygodnymi implementacjami
ogólnych komponentów.

%prep
%setup -q -c -a1

%patch0 -p1

# Fix for wrong-file-end-of-line-encoding problem
find '(' -name '*.html' -o -name '*.css' -o -name '*.xml' ')' -print0 | xargs -0 %undos

%build
required_jars="avalon-logkit %{?with_tests:junit}"
export CLASSPATH=$(build-classpath $required_jars)

%ant -f %{srcname}-api-%{version}/build.xml \
	-Dnoget=1 \
	dist %{?with_tests:test}

required_jars="avalon-logkit commons-logging log4j"
export CLASSPATH=$(build-classpath $required_jars):$(pwd)/avalon-framework-api-%{version}/target/avalon-framework-api-%{version}.jar
%ant -f %{srcname}-impl-%{version}/build.xml \
	-Dnoget=1 \
	dist %{?with_tests:test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}
cp -a %{srcname}-api-%{version}/target/%{srcname}-api-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}-api-%{version}.jar
ln -sf %{srcname}-api-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}-api.jar
cp -a %{srcname}-impl-%{version}/target/%{srcname}-impl-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}-impl-%{version}.jar
ln -sf %{srcname}-impl-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}-impl.jar

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_javadir}/%{srcname}-api.jar
%{_javadir}/%{srcname}-api-%{version}.jar
%{_javadir}/%{srcname}-impl.jar
%{_javadir}/%{srcname}-impl-%{version}.jar
%changelog
* Thu Jan 02 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/java-avalon-framework.git;a=log;h=master

* Sat Apr 24 2010 pawelz <pawelz@pld-linux.org> fe0ba40
- rel 2

* Sat Apr 24 2010 pawelz <pawelz@pld-linux.org> 46eadd8
- more macros!
- verbose %files

* Sat Apr 24 2010 pawelz <pawelz@pld-linux.org> 48835e8
- use full power of %setup macro

* Sun Apr 18 2010 pawelz <pawelz@pld-linux.org> f8bb382
- sorted deps

* Sat Apr 17 2010 Jacek Konieczny <jajcus@pld-linux.org> 407def2
- do not pull java-sun via BR - icedtea6 should be enough in all (most) cases

* Sat Apr 03 2010 pawelz <pawelz@pld-linux.org> 478f289
- G: Libraries/Java
- O: avalon-framework
- rel 1

* Sat Apr 03 2010 pawelz <pawelz@pld-linux.org> 02b3285
- renamed from avalon-framework
- force java-sun

* Sun Dec 09 2007 Elan Ruusamäe <glen@pld-linux.org> 63bdaea
- R: jpackage-utils for %{_javadir}; cosmetics/cleanups

* Sun Dec 02 2007 Elan Ruusamäe <glen@pld-linux.org> df6e954
- builds in this state

* Sun Dec 02 2007 Elan Ruusamäe <glen@pld-linux.org> 7e2bfc7
- make jar not depend on test

* Wed Sep 19 2007 Elan Ruusamäe <glen@pld-linux.org> 7e778e5
- unify macros

* Wed Sep 19 2007 Jan Rękorajski <baggins@pld-linux.org> bb15275
- nothing works

* Wed Sep 19 2007 Jan Rękorajski <baggins@pld-linux.org> 804bc4b
- now, this is wrong

* Wed Sep 19 2007 Jan Rękorajski <baggins@pld-linux.org> 20eddeb
- maybe that way...

* Wed Sep 19 2007 Jan Rękorajski <baggins@pld-linux.org> e56e302
- java sucks

* Wed Sep 19 2007 Jan Rękorajski <baggins@pld-linux.org> 0dda635
- BR junit

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> e3e1524
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 17dabfb
- converted to UTF-8

* Tue Sep 12 2006 Elan Ruusamäe <glen@pld-linux.org> f7ad767
- unify %ant macro

* Sun Aug 06 2006 Tomasz Pala <gotar@pld-linux.org> 37d7e96
- BR: ant-nodeps, no more double gzip, added %install section

